### Hierarchy

- Caseless

## Index

### Methods

- del
- get
- has
- set
- swap

## Methods

### del

- del(name: KeyType): boolean

- - Defined in node_modules/@types/caseless/index.d.ts:18

  #### Parameters

  - ##### name: KeyType

  #### Returns boolean

### get

- get(name: KeyType): ValueType | undefined

- - Defined in node_modules/@types/caseless/index.d.ts:16

  #### Parameters

  - ##### name: KeyType

  #### Returns ValueType | undefined

### has

- has(name: KeyType): KeyType | false

- - Defined in node_modules/@types/caseless/index.d.ts:15

  #### Parameters

  - ##### name: KeyType

  #### Returns KeyType | false

### set

- set(name: KeyType, value: ValueType, clobber?: undefined | false | true): KeyType | false
- set(dict: RawDict): void

- - Defined in node_modules/@types/caseless/index.d.ts:13

  #### Parameters

  - ##### name: KeyType

  - ##### value: ValueType

  - ##### Optional clobber: undefined | false | true

  #### Returns KeyType | false

- - Defined in node_modules/@types/caseless/index.d.ts:14

  #### Parameters

  - ##### dict: RawDict

  #### Returns void

### swap

- swap(name: KeyType): void

- - Defined in node_modules/@types/caseless/index.d.ts:17

  #### Parameters

  - ##### name: KeyType

  #### Returns void

Generated using TypeDoc